Package es.imim.DISGENET.network

# Class NetCompletionChangeEvent

java.lang.Object
es.imim.DISGENET.network.NetCompletionChangeEvent

All Implemented Interfaces:
  `NetCreationListener`

public class NetCompletionChangeEvent extends Object implements NetCreationListener
part of event handler class to allow updating the progress bar from different task

## Constructor Summary

Constructors
Constructor
Description
`NetCompletionChangeEvent(org.cytoscape.work.TaskMonitor taskMonitor)`

## Method Summary

Modifier and Type
Method
Description
`void`
`NetCreationEventReceived(NetCreationEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NetCompletionChangeEvent

public NetCompletionChangeEvent(org.cytoscape.work.TaskMonitor taskMonitor)

## Method Details

### NetCreationEventReceived

public void NetCreationEventReceived(NetCreationEvent event)

Specified by:
  `NetCreationEventReceived` in interface `NetCreationListener`